Bug 495421 - The vm_applet images don't have a transparent background on the panel
The vm_applet images don't have a transparent background on the panel
Product: Fedora
Classification: Fedora
Component: gnome-applet-vm (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-04-12 18:30 EDT by Matthias Saou
Modified: 2009-12-08 11:34 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-12-08 11:34:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthias Saou 2009-04-12 18:30:39 EDT
I have my gnome panel configured to be transparent. All of the buttons and applets I have show up nicely, with a transparent background. All except the VM applet.

I checked and the PNG images from the sources do have an alpha channel, and render with a nice transparent background in any image editor, so they're not to blame.

I looked quickly at the code, and I think that's where the problem lies... (vm_icon_update() from applet.c). I can't figure out how to fix the problem, but having looked at other applets (the "brightness" and "inhibit" from gnome-power-manager), it looks like the vm_applet uses some older and more complicated way to display itself.

It seems to me that is should be fairly easy to update the code and fix the transparency issue at the same time, though I could be wrong.
Comment 1 Mark McLoughlin 2009-04-20 07:30:46 EDT
Using panel_applet_set_background_widget() would probably fix this
Comment 2 Bug Zapper 2009-06-09 09:42:32 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
Comment 3 Matthias Saou 2009-12-08 11:34:25 EST
I've just noticed that this is a dead package now, with the note "Dead upstream, largely obsoleted by virt-manager 0.8.0.", so closing. In addition, I've just looked at the virt-manager sources, and the pixmaps seem to have SVG originals and transparent background PNGs.

Note You need to log in before you can comment on or make changes to this bug.